services:
#    user.example:
#        class: UserBundle\Example
#        arguments: ["@service_id", "plain_value", "%parameter%"]
parameters:
    my_user_provider.class: UserBundle\Security\Core\User\FOSUBUserProvider

services:
    my_user_provider:
        class: "%my_user_provider.class%"
        #this is the place where the properties are passed to the UserProvider - see config.yml
        arguments: 
            - '@fos_user.user_manager'
            - {facebook: username, google: username}